#! -*- coding: utf-8 -*-
import datetime

from django.test import TestCase

from .models import Fund, FundCategory, Diary, CachedTweet, load_tweets


class TwitterTest(TestCase):
    def test_connection(self):
        """
        Giusto per controllare se nella rete in cui siamo la connessione ai server acomea c'è.
        """
        fc = FundCategory.objects.create(code='TT', description='test', title='test', slug='test')
        f = Fund.objects.create(code='MO', fund_category=fc)

        Diary.objects.create(title='test', fund=f, tweet="test on %s" % str(datetime.datetime.now()))

        #Diary.objects.create(title='test', fund=f, tweet="!£$%%&/()=?^ì'é*§°ç_:;,.-òàùè+'<>€ %s" % str(datetime.datetime.now()))

    def test_caching(self):
        """

        """
        self.assertEqual(0, CachedTweet.objects.all().count())
        fc = FundCategory.objects.create(code='TT', description='test', title='test', slug='test')
        f = Fund.objects.create(code='MO', fund_category=fc, twitter_id='testthunder', title='test')

        results = load_tweets(Fund.objects.all())
        self.assertEqual(len(results), CachedTweet.objects.all().count())