# -*- coding: utf-8 -*-


def get_graph_dataset_bar(prefix_render_to, show_in_legend=True):
    return {
        'chart': {
            'renderTo': "%scontainer-bar" % prefix_render_to,
            'type': 'bar'
        },
        'title': {
            'text': None
        },
        'subtitle': {
            'text': None
        },
        'xAxis': {
            'categories': None,
            'labels': {
                'overflow': 'justify',
                'style': {
                    'color': 'black',
                    'fontSize':'9px'
                }
            }
        },
        'yAxis': {
            'min': 0,
            'title': {
                'text': 'Valore',
                'align': 'high'
            },
            'labels': {
                'overflow': 'justify'
            }
        },
        'plotOptions': {
            'bar': {
                'dataLabels': {
                    'enabled': True,
                },
            },
            'series':{
                'dataLabels': {
                    'enabled': False,
                    "format":'{y:.2f}'
                },
                'showInLegend': show_in_legend,
            },

        },
        'tooltip': {
            'valueDecimals': 2,
        },
        'legend': {
            'layout': 'vertical',
            'align': 'right',
            'verticalAlign': 'top',
            'x': 0,
            'y': 0,
            'floating': True,
            'borderWidth': 1,
            'backgroundColor': '#FFFFFF',
            'shadow': True
        },
        'credits': {
            'enabled': False
        },
        'series' : [{
                        'name': 'fondo',
                        'data': None,
                        'color': '#F15A22'
                    }]
    }


def get_graph_dataset_pie(prefix_render_to):
    return {
        'chart': {
            'renderTo': "%scontainer-pie" % prefix_render_to,
            'type': 'pie'
        },
        'title': {
            'text': None
        },
        'subtitle': {
            'text': None
        },
        'xAxis': {
            'categories': None
        },
        'yAxis': {
            'min': 0,
            'title': {
                'text': 'Valore',
                'align': 'high'
            },
            'labels': {
                'overflow': 'justify'
            }
        },

        'plotOptions': {
            'pie': {
                'dataLabels': {
                    'enabled': True
                }
            },
            'series':{
                'dataLabels': {
                    'enabled': True,
                    "format":'{y:.2f}'
                }
            }
        },
        'tooltip': {
            'valueDecimals': 2,
            },

        'legend': {
            'layout': 'vertical',
            'align': 'right',
            'verticalAlign': 'top',
            'x': 0,
            'y': 0,
            'floating': True,
            'borderWidth': 1,
            'backgroundColor': '#FFFFFF',
            'shadow': True
        },
        'credits': {
            'enabled': False
        },
        'series' : [{
                        'name': 'fondo',
                        'data': None,
                        'color': '#F15A22'
                    }]
    }


def get_graph_dataset_line(container_div):
    return {
        'chart': {
            'renderTo': container_div,
            'type': 'line',
            'zoomType':'x',
            'width':560,
            'resetZoomButton': {
                'position': {
                    'x': -15,
                    'y': 15
                },
                'relativeTo': 'plot'
            }
        },
        'title': {
            'text': None,
        },
        'subtitle': {
            'text': None
        },
        'xAxis': {
            'id':'x-axis',
            'type': 'datetime',
            'labels': {
                'enabled': False
            },
            'title':{
                'text':None
            },
            'dateTimeLabelFormats': {
                'month': '%b \'%y',
            },
            'tickInterval':30,
            # hide x axis - temporary (to fix) - begin
            # 'lineWidth': 0,
            # 'minorGridLineWidth': 0,
            # 'lineColor': 'transparent',
            # 'minorTickLength': 0,
            # 'tickLength': 0
            # hide x axys - temporary (to fix) - end
        },
        'yAxis': {
            'title': {
                'text': 'Valore',
            },
            'min':None,
            'max':None
        },
        'tooltip': {
            'crosshairs':True,
            'shared':True
        },
        'plotOptions': {
            'line': {
                'lineWidth':1,
                'marker': {
                    'enabled': False
                },
                'shadow':False,
                'turboThreshold':10000,
            }
        },
        # 'series' : {
        #      'events': {
        #                 'hide': 'function(a) { this.xAxis.hide(); }',
        #                 'show': 'function() { this.xAxis.show();  }'
        #      }
        # },
        # 'legend': {
        #     'layout': 'vertical',
        #     'align': 'right',
        #     'verticalAlign': 'top',
        #     'x': 0,
        #     'y': 0,
        #     'floating': True,
        #     'borderWidth': 1,
        #     'backgroundColor': '#FFFFFF',
        #     'shadow': True
        # },
        'credits': {
            'enabled': False
        },
        # 'series' : [{
        #                 'name': 'fondo',
        #                 'data': None,
        #                 'color': '#F15A22'
        #             }]
    }


def compare_values_for_y_axis(valf, valb, ctype="min"):
    valf = float(valf)
    valb = float(valb)
    if bool(valf) and bool(valb):
        return min(valf, valb) if ctype == "min" else max(valf, valb)
    elif bool(valf) and not bool(valb):
        return valf
    elif not bool(valf) and bool(valb):
        return valb
    return valf